Request body for event Card.
Request body for event type CARD, event detail CARD_ACTIVE or CARD_FROZEN.
{
"data": {
"id": "0c4cf036-0e00-0044-f752-4ca55fbb2918",
"balance": 10000,
"card_name": "Card A",
"card_type": "VIRTUAL",
"cardholder": {
"id": "0b668087-0800-00f7-fc41-9d8ce8f748c8",
"full_name": "User Admin"
},
"created_at": "2023-05-16 07:34:52",
"updated_at": "2023-05-16 07:35:57",
"card_status": "ACTIVE",
"last_number": "6491",
"card_network": "MASTERCARD",
"card_mechanism": "DEBIT"
},
"event_id": "0c4cf068-b600-0002-1c1b-c3c083161692",
"timestamp": "2023-05-16 07:35:57",
"event_type": "CARD",
"event_detail": "CARD_ACTIVE",
"is_sandbox": false,
"organization_id": "0b5a1e02-3c00-0011-8d2e-7a1f3b9c4d10"
}
| Field | Type | Description |
|---|---|---|
| id | String UUID | Card identifier from Monit. |
| balance | Number | Card's balance. |
| card_name | String | Card's name. |
| card_type | String | Card's type. The API only supports VIRTUAL. |
| cardholder | Object | Cardholder's identifier and full name. |
| created_at | String Datetime | When the card was created. Time zone UTC. |
| updated_at | String Datetime | When the card was last updated. Time zone UTC. |
| card_status | String | PENDING, ACTIVE or FROZEN. |
| last_number | String | Last four digits of the card number. |
| card_network | String | Card's network. The API only supports MASTERCARD. |
| card_mechanism | String | Card's mechanism. The API only supports DEBIT. |
3D Secure OTP
REQUEST_3DSevents carry this card object plus the OTP, and go to your OTP callback URL. See Card 3DS OTP.
